Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletRequestAttributes

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletRequestAttributes

    public class PortletRequestAttributes

extends java.lang.Object

Hold the portlet request attributes and holds only the modified state. That is the reason motivating the presence of an `HttpServletRequest` on the methods returning data reading the state. The object can be used either during the render request where the dispatched request will be used. It can also be used during a request dispatch made from the portlet to a servlet, in that situation the request provided will be the one valid during the dispatching operation. The other motivation of this class is to hold the state of the attributes that have been modified by the request to the portlet container, so it will not write in the portal request attributes.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary
`protected static java.lang.Object` | `REMOVED_ATTRIBUTE` Constant object to mark that a request attribute is removed.

Constructor Summary
`PortletRequestAttributes(SecurityContext securityContext, PortletContainer container, UserContext userContext, javax.servlet.http.HttpServletRequestWrapper wreq)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getAttributeMap()`
`java.util.Iterator<java.lang.String>` | `getAttributeNames()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributeMap(java.util.Map<java.lang.String,java.lang.Object> map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOVED_ATTRIBUTE

    protected static final java.lang.Object REMOVED_ATTRIBUTE

  Constant object to mark that a request attribute is removed.

Constructor Detail

### PortletRequestAttributes

    public PortletRequestAttributes(SecurityContext securityContext,
                                    PortletContainer container,
                                    UserContext userContext,
                                    javax.servlet.http.HttpServletRequestWrapper wreq)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    public java.util.Iterator<java.lang.String> getAttributeNames()

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### setAttributeMap

    public void setAttributeMap(java.util.Map<java.lang.String,java.lang.Object> map)

### getAttributeMap

    public java.util.Map<java.lang.String,java.lang.Object> getAttributeMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.